
function demo_runge_spline_lineare

% Oggetto:
% Interpolazione della funzione di Runge in [-5,5],
% mediante splines lineari. Massimi errori in 2^k  
% suddivisioni equispaziate con k=1,...,11.

a=-5; b=5;
f=@(x) 1./(1+x.^2); % funzione vettoriale

for k=1:11
    N=2^k;
    maxerr=errore_spline_lineare(f,a,b,N);
    eev(k)=maxerr;
end

% ------------- plot -------------

clf;
semilogy(2.^(1:11),eev,'LineWidth',2);
hold on;
% legenda e titolo
title('Errori di interpolazione spline lineare: nodi equispaziati');
hold off;

% ---------- salvataggio risultati su file ----------

% creazione del file con facolta' di scrittura.
fid=fopen('errori_interpolazione_spline_lineare.txt','w');
% dati immagazzinati nella matrice A (si immagazzinino come vettori riga,
% e bisogna ricordare che "eev", "ecv" sono riga. 
A=[2.^(1:11); eev];
% scrittura dei dati su file.
fprintf(fid,'\n %5.0f  %1.1e',A);
% chiusura file
fclose(fid);
