
function maxerr=errore_spline_lineare(f,a,b,N)

% Oggetto:
% Errore della spline lineare "s1" interpolante "f" nei punti 
% x_k=a+(k-1)h, k=1,...,N+1, h=(b-a)/N
%
% Input:
% f: funzione da interpolare
% a,b: dominio di "f"
% N: numero di subintervalli equispaziati in cui e' suddiviso [a,b]
%
% Output:
% maxerr: stima del massimo errore di interpolazione, ovvero
%         max(abs(f(x)-s1(x)))


% punti equispaziati in cui interpolare "f".
hx=(b-a)/N;  x=a:hx:b;  
y=feval(f,x); % valore funzione in "x"   

% punti test in cui valutare gli errori forniti tra
% funzione e interpolante
ht=1/100000; t=a:ht:b; 

% valori assunti dall'interpolante spline lineare 
%  nei punti test "tx"
z = interp1(x,y,t,'linear'); 

% valore della funzione "f" nei nodi test
ftx=feval(f,t); 

% valutazione errore di interpolazione nei nodi test
maxerr=max(abs(ftx-z));
